"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var R = __importStar(require("ramda"));
var consts_1 = require("./consts");
exports.fromField = R.pipe(R.path(['directives', consts_1.RELATIONSHIP]), R.applySpec({
    type: R.prop('type'),
    target: R.prop('target')
}));
exports.fromFieldsObject = R.mapObjIndexed(function (relation, name) { return exports.fromField(relation); });
exports.getRelationships = R.pipe(R.prop('fields'), R.pickBy(R.where({ directives: R.has(consts_1.RELATIONSHIP) })));
exports.fromTypes = R.pipe(exports.getRelationships, exports.fromFieldsObject);
