"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var resolvers_1 = require("../resolvers");
exports.model = function (entitySchema, contextPath) {
    if (contextPath === void 0) { contextPath = '../context'; }
    return "\nimport { EntitySchema }  from 'typeorm'\nimport { EntitySchemaOptions } from 'typeorm/entity-schema/EntitySchemaOptions'\nimport { createQuery } from 'graphql_typeorm/dist/query'\n\n/** @typedef { import('../types')." + entitySchema.name + " } " + entitySchema.name + " */\n/** @typedef { import('../types')." + entitySchema.name + "Resolver } " + entitySchema.name + "Resolver */\n\n/** @type  { EntitySchemaOptions<" + entitySchema.name + "> } */\nexport const Schema = " + JSON.stringify(entitySchema, null, 4) + "\n\nexport const Model = new EntitySchema(Schema)\n\n/** @type { " + entitySchema.name + "Resolver } */\nexport const Resolvers = " + resolvers_1.resolvers(entitySchema) + "\n";
};
