"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var resolvers_1 = require("./resolvers");
exports.default = (function (name) {
    return "export type " + name + "Resolver = {\n    Query: {\n        " + resolvers_1.lowerFirst(name) + ": ResolverFunction<any, {input: FindOne" + name + "}, Context, Promise<" + name + ">>,\n        " + resolvers_1.lowerFirst(name) + "s: ResolverFunction<any, QueryArgs<" + name + ">, Context, Promise<" + name + "[]>>\n    },\n    Mutation: {\n        create" + name + ": ResolverFunction<any, {input: CreateUpdate" + name + "}, Context, Promise<" + name + ">>,\n        update" + name + ": ResolverFunction<any, {id: FindOne" + name + ", patch: CreateUpdateAuthor}, Context, Promise<" + name + ">>\n    }\n}\n";
});
