import { EntitySchemaOptions } from 'typeorm/entity-schema/EntitySchemaOptions';
import { EntitySchemaRelationOptions } from 'typeorm/entity-schema/EntitySchemaRelationOptions';
import { EntitySchemaColumnOptions } from 'typeorm/entity-schema/EntitySchemaColumnOptions';
export declare const getType: (type: string) => string;
export declare const getRelationshipType: (relationship: EntitySchemaRelationOptions) => string;
export declare const relationshipToTypeField: (relationship: EntitySchemaRelationOptions, name: string) => string;
export declare const columnToTypeField: (column: EntitySchemaColumnOptions, name: string) => string;
declare const _default: (entitySchema: EntitySchemaOptions<{}>) => string;
export default _default;
