"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var resolvers_1 = require("../resolvers");
exports.model = function (entitySchema, contextPath) {
    if (contextPath === void 0) { contextPath = '../context'; }
    return "\nimport { EntitySchema }  from 'typeorm'\nimport { EntitySchemaOptions } from 'typeorm/entity-schema/EntitySchemaOptions'\nimport { createQuery } from 'graphql_typeorm/dist/query'\nimport { " + entitySchema.name + ", " + entitySchema.name + "Resolver } from '../types'\n\nexport const Schema: EntitySchemaOptions<" + entitySchema.name + "> = " + JSON.stringify(entitySchema, null, 4) + "\n\nexport const Model = new EntitySchema(Schema)\n\nexport const Resolvers: " + entitySchema.name + "Resolver = " + resolvers_1.resolvers(entitySchema) + "\n";
};
