import { EntitySchemaOptions } from 'typeorm/entity-schema/EntitySchemaOptions';
import { EntitySchemaColumnOptions } from 'typeorm/entity-schema/EntitySchemaColumnOptions';
export declare const getColumnType: (column: EntitySchemaColumnOptions) => string;
export declare const columnToGraphQL: (column: EntitySchemaColumnOptions, name: string) => string;
export declare const toGraphQLWhere: <T>(entitySchema: EntitySchemaOptions<T>) => string;
export declare const toGraphQLOrder: <T>(entitySchema: EntitySchemaOptions<T>) => string;
export declare const toGraphQLQuery: <T>(entitySchema: EntitySchemaOptions<T>) => string;
export declare const toGraphQLQueries: <T>(entitySchema: EntitySchemaOptions<T>) => string;
export declare const toGraphQL: (types: Record<string, EntitySchemaOptions<{}>>) => string;
