"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lowerFirst = function (str) { return str.charAt(0).toLowerCase() + str.slice(1); };
exports.resolvers = function (entitySchema) { return "{\n    Query: {\n        " + exports.lowerFirst(entitySchema.name) + ": (parent, args, context) =>\n            context.connection.getRepository(Model).findOne(args.input),\n\n        " + exports.lowerFirst(entitySchema.name + 's') + ": (parent, args, context) =>\n            context.connection.getRepository(Model).find(createQuery(args))\n    },\n    Mutation: {\n        create" + entitySchema.name + ": (parent, args, context) =>\n            context.connection.getRepository(Model).save(args.input),\n        \n        update" + entitySchema.name + ": async (parent, args, context) => {\n            await context.connection.getRepository(Model).update(args.id, args.patch)\n            return context.connection.getRepository(Model).findOne(args.id)\n        }\n    }\n}"; };
